diff --git a/CMakeLists.txt b/CMakeLists.txt
index 5f06f2c..4d44325 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -498,20 +498,17 @@ set(BUILD_SFPM_PIC ON CACHE BOOL "enable -fPIC for SFPM" FORCE)
 add_subdirectory(3rdparty/SortFilterProxyModel)
 set(SFPM_OBJECTS $<TARGET_OBJECTS:SortFilterProxyModel>)
 
+find_package(PkgConfig REQUIRED)
+pkg_check_modules(tidy REQUIRED tidy)
+pkg_check_modules(md4c REQUIRED md4c-html)
+
 # md4c
-set(BUILD_SHARED_LIBS OFF CACHE BOOL "Don't build shared md4c library" FORCE)
-add_subdirectory(3rdparty/md4c EXCLUDE_FROM_ALL)
-list(APPEND CLIENT_LINK_DIRS ${MD4C_BINARY_DIR}/src)
-list(APPEND CLIENT_INCLUDE_DIRS ${MD4C_SOURCE_DIR}/src)
-list(APPEND CLIENT_LIBS md4c-html)
+list(APPEND CLIENT_INCLUDE_DIRS ${md4c_INCLUDE_DIRS})
+list(APPEND CLIENT_LIBS ${md4c_LIBRARIES})
 
 # tidy-html5
-set(BUILD_SHARED_LIB OFF CACHE BOOL "Don't build shared tidy library" FORCE)
-set(SUPPORT_CONSOLE_APP OFF CACHE BOOL "Don't build tidy console app" FORCE)
-add_subdirectory(3rdparty/tidy-html5 EXCLUDE_FROM_ALL)
-list(APPEND CLIENT_LINK_DIRS ${tidy_BINARY_DIR}/Release)
-list(APPEND CLIENT_INCLUDE_DIRS ${tidy_SOURCE_DIR}/include)
-list(APPEND CLIENT_LIBS tidy-static)
+list(APPEND CLIENT_INCLUDE_DIRS ${tidy_INCLUDE_DIRS})
+list(APPEND CLIENT_LIBS ${tidy_LIBRARIES})
 
 # common executable sources
 qt_add_executable(
